org.apache.http.impl.io

## Class HttpRequestWriter

- java.lang.Object
- - org.apache.http.impl.io.AbstractMessageWriter<HttpRequest>
  - - org.apache.http.impl.io.HttpRequestWriter

All Implemented Interfaces:
  HttpMessageWriter<HttpRequest>

Deprecated.
(4.3) use `DefaultHttpRequestWriter`

    @NotThreadSafe
    @Deprecated
    public class HttpRequestWriter
    extends AbstractMessageWriter<HttpRequest>

HTTP request writer that serializes its output to an instance of `SessionOutputBuffer`.

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.impl.io.AbstractMessageWriter

`lineBuf, lineFormatter, sessionBuffer`

### Constructor Summary

Constructors
Constructor and Description
`HttpRequestWriter(SessionOutputBuffer buffer, LineFormatter formatter, HttpParams params)` Deprecated.

### Method Summary

Methods
`protected void` `writeHeadLine(HttpRequest message)` Deprecated. Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.

### Methods inherited from class org.apache.http.impl.io.AbstractMessageWriter

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpRequestWriter

    public HttpRequestWriter(SessionOutputBuffer buffer,
                     LineFormatter formatter,
                     HttpParams params)

Deprecated.

### Method Detail

#### writeHeadLine

    protected void writeHeadLine(HttpRequest message)
                          throws IOException

Deprecated.
Description copied from class: `AbstractMessageWriter`
Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.

Specified by:
  `writeHeadLine` in class `AbstractMessageWriter<HttpRequest>`
Parameters:
  `message` - the message whose first line is to be written out.
Throws:
  `IOException` - in case of an I/O error.